Skip to main content
GET
/
api
/
contacts
List contacts
curl --request GET \
  --url https://your-instance.example.com/api/contacts \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "contacts": [
      {
        "_id": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "phoneNumber": "<string>",
        "email": "<string>",
        "status": "<string>",
        "pipelineId": "<string>",
        "pipelineStage": "<string>",
        "organizationId": "<string>",
        "userId": "<string>",
        "createdBy": "<string>",
        "assignees": [
          "<unknown>"
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123,
    "page": 123,
    "size": 123
  },
  "meta": {},
  "contacts": [
    {
      "_id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "phoneNumber": "<string>",
      "email": "<string>",
      "status": "<string>",
      "pipelineId": "<string>",
      "pipelineStage": "<string>",
      "organizationId": "<string>",
      "userId": "<string>",
      "createdBy": "<string>",
      "assignees": [
        "<unknown>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
Required range: x >= 1
size
integer
default:50
Required range: x >= 1
source
string
leadSource
string
ownerFilter
string
default:my
status
string
pipelineStage
string
pipelineId
string
dateRange
string

JSON string range

owner
assignee
messageStatus
string
lastMessageTimeRange
string

JSON string range

lastMessageDateRange
string

JSON string range

Response

Contacts returned

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object
contacts
object[]
total
integer